//
// Created by IgorBat on 23.04.2018.
//
#include <cassert>
#include "effects\selfheal.h"
#include "cell.h"
#include "units\unit.h"
#include <string>

void SelfHeal::OperateOnCell(Cell* cell){
    throw std :: string("CAN'T TOUCH THIS");
}

void SelfHeal::OperateOnUnit(Unit* unit){
    unit->setHealthPoints(std :: min(unit->getHealthPoints() + count_, unit->getMaxHealthPoints()));
    //check_on_is_it_max
}

void SelfHeal::OperateOnUnitToCell(Unit* who, Cell* where){
    throw std :: string("CAN'T TOUCH THIS");
}

void SelfHeal::Execute(Cell* from, Cell* where, Unit* who, Unit* whom, TypeOfTrigger Type){
    if(Type == 1)
        OperateOnUnit(who);
}

